Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
"page": 1,
"limit": 10
}
response = client.audience.get_contacts(**payload)
print(response)curl --request GET \\
--url https://voip-middlware.superu.ai/audience/contacts/list?audience_id=597b3dde-9169-4017-800d-f97a5fabebe3&page=1&limit=10 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"contact_list": [
{
"id": "69f9a9a1c2647606b8c43154",
"name": "Ava Patel",
"email": "ava.patel@example.com",
"phone": "+1 5551234567",
"audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
"created_at": "2026-05-05 08:26:09.655000"
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 10,
"total_pages": 1,
"has_next": false,
"has_prev": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Audiences
List audience contacts
Returns paginated contacts for an audience.
GET
/
audience
/
contacts
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
"page": 1,
"limit": 10
}
response = client.audience.get_contacts(**payload)
print(response)curl --request GET \\
--url https://voip-middlware.superu.ai/audience/contacts/list?audience_id=597b3dde-9169-4017-800d-f97a5fabebe3&page=1&limit=10 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"contact_list": [
{
"id": "69f9a9a1c2647606b8c43154",
"name": "Ava Patel",
"email": "ava.patel@example.com",
"phone": "+1 5551234567",
"audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
"created_at": "2026-05-05 08:26:09.655000"
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 10,
"total_pages": 1,
"has_next": false,
"has_prev": false
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Query Parameters
Audience ID
Example:
"597b3dde-9169-4017-800d-f97a5fabebe3"
Page number
Required range:
x >= 1Example:
1
Records per page
Required range:
1 <= x <= 100Example:
10
Response
Audience contacts returned

